Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components.table.renderer
Class LinkCellRenderer

    java.lang.Object
      org.apache.struts2.components.table.renderer.AbstractCellRenderer
          org.apache.struts2.components.table.renderer.LinkCellRenderer

All Implemented Interfaces:
  CellRenderer

    public class LinkCellRenderer

extends AbstractCellRenderer

Field Summary
`protected String` | `_cssClass` the CSS class this link belongs to.
`protected String` | `_cssId` the id attribute this link belongs to.
`protected CellRenderer` | `_delegateRenderer` this is the actual renderer tha will be used to display the text
`protected String` | `_link` this is the link we are setting (required)
`protected String` | `_onclick` the (Java)script/ function to execute when the link is clicked.
`protected String` | `_ondblclick` the (Java)script/ function to execute when the link is clicked twice.
`protected String` | `_onmouseout` the (Java)script/ function to execute when cursor is away from the link.
`protected String` | `_onmouseover` the (Java)script/ function to execute when cursor is over the link.
`protected String` | `_param` if set there will be a parameter attached to link.
`protected int` | `_paramColumn` if used the param value will be taken from another column in the table.
`protected String` | `_paramValue` directly set the value for the param.
`protected String` | `_target` the target frame to open in.
`protected String` | `_title` the title attribute this link belongs to.
`protected String` | `_trailParams` additional parameters after the above parameter is generated.

Fields inherited from class org.apache.struts2.components.table.renderer.AbstractCellRenderer
`_alignment`

Constructor Summary
`LinkCellRenderer()`

Method Summary
`String` | `getCellValue(WebTable table, Object data, int row, int col)` should the link data be encodeed?
`void` | `setCssClass(String cssClass)`
`void` | `setCssId(String cssId)`
`void` | `setLink(String link)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setParam(String param)`
`void` | `setParamColumn(int paramColumn)`
`void` | `setParamValue(String paramValue)`
`void` | `setRenderer(CellRenderer delegateRenderer)` used to set the renderer to delgate to.
`void` | `setTarget(String target)`
`void` | `setTitle(String title)`
`void` | `setTrailParams(String trailParams)`

Methods inherited from class org.apache.struts2.components.table.renderer.AbstractCellRenderer
`getAlignment, isAligned, renderCell, setAlignment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _delegateRenderer

    protected CellRenderer _delegateRenderer

  this is the actual renderer tha will be used to display the text

### _cssClass

    protected String _cssClass

  the CSS class this link belongs to. Optional

### _cssId

    protected String _cssId

  the id attribute this link belongs to. Optional

### _link

    protected String _link

  this is the link we are setting (required)

### _onclick

    protected String _onclick

  the (Java)script/ function to execute when the link is clicked. Optional

### _ondblclick

    protected String _ondblclick

  the (Java)script/ function to execute when the link is clicked twice. Optional

### _onmouseout

    protected String _onmouseout

  the (Java)script/ function to execute when cursor is away from the link. Optional

### _onmouseover

    protected String _onmouseover

  the (Java)script/ function to execute when cursor is over the link. Optional

### _param

    protected String _param

  if set there will be a parameter attached to link. (optional) This should be extended to allow multiple parameters

### _paramValue

    protected String _paramValue

  directly set the value for the param. Will overide paramColumn if set. optional. Either this or paramColumn must be set if param is used. Will be ignored if param not used

### _target

    protected String _target

  the target frame to open in. Optional

### _title

    protected String _title

  the title attribute this link belongs to. Optional

### _trailParams

    protected String _trailParams

  additional parameters after the above parameter is generated. Optional

### _paramColumn

    protected int _paramColumn

  if used the param value will be taken from another column in the table. Useful if each row needs a different paramter. The paramter can be taken from a hidden cell. if paramValue is also set it will overrid this. (option either this or paramValue must be set if param is used. Will be ignored if param not used

Constructor Detail

### LinkCellRenderer

    public LinkCellRenderer()

Method Detail

### getCellValue

    public String getCellValue(WebTable table,
                               Object data,
                               int row,
                               int col)

  should the link data be encodeed?

  Specified by:
    `getCellValue` in class `AbstractCellRenderer`

### setCssClass

    public void setCssClass(String cssClass)

### setCssId

    public void setCssId(String cssId)

### setLink

    public void setLink(String link)

### setOnclick

    public void setOnclick(String onclick)

### setOndblclick

    public void setOndblclick(String ondblclick)

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### setParam

    public void setParam(String param)

### setParamColumn

    public void setParamColumn(int paramColumn)

### setParamValue

    public void setParamValue(String paramValue)

### setRenderer

    public void setRenderer(CellRenderer delegateRenderer)

  used to set the renderer to delgate to. if the render is an AbstractCellRenderer then it will take the alignment from the delegate renderer and set it that way.

### setTarget

    public void setTarget(String target)

### setTitle

    public void setTitle(String title)

### setTrailParams

    public void setTrailParams(String trailParams)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.